Subject: bug#47632: Extracting guix.iso.xz with Xarchiver will give damaged .iso

From: Leo Famulari <[email-masked]>
Date: Thu, 8 Apr 2021 15:00:18 -0400

On Wed, Apr 07, 2021 at 05:27:49AM +0000, bo0od wrote:
> I have just tested to extract guix.iso.xz using Xarchiver and tried to
> install guix.iso on a vbox, The image wont be readable/identified for
> installation.

Thanks for the report.

I installed Xarchiver and used it to extract the iso.xz to /tmp.

Then I did this:

------
$ file guix-system-install-1.2.0.x86_64-linux.iso 
guix-system-install-1.2.0.x86_64-linux.iso: DOS/MBR boot sector; GRand Unified Bootloader, stage1 version 0x79, boot drive 0xbb, stage2 address 0x8e70, 1st sector stage2 0xb8db31c3, stage2 segment 0x201
------

So, I think it worked?

I found Xarchiver somewhat complicated...